package cks.model.value;

import cks.model.*;

import java.io.PrintWriter;
import java.util.List;
import java.util.Map;

public class VField extends Node
{
	public final String name;
	public final Value value;

	public VField(Location loc, String name, Value value)
	{
		super(loc);
		this.name = name;
		this.value = value;
	}

	public void toString(StringBuilder b)
	{
		super.toString(b);
		b.append(": ");
		b.append(this.name);
	}

	protected void dumpChildren(PrintWriter out, int depth)
	{
		this.value.dump(out, depth);
		super.dumpChildren(out, depth);
	}
}
