package cks.model.value;

import cks.model.*;

public abstract class Value extends Node
{
  public Value(Location loc)
  {
    super(loc);
  }

	public static class Visitor
	{
		public void visit(Value t)       { throw new RuntimeException("unhandled visitor case: " + t.getClass().getName()); }
		public void visit(VRecord t)    { visit((Value) t); }
		public void visit(VVariant t)   { visit((Value) t); }
		public void visit(VList t)      { visit((Value) t); }
		public void visit(VPrimitive t) { visit((Value) t); }
	}
}
