package cks.model.type;

import cks.model.Location;
import cks.model.Node;

import java.io.PrintWriter;

public class TMember extends Node
{
	public final String name;
	public final Type type;

	public TMember(Location location, String name, Type type)
	{
		super(location);
		this.name = name;
		this.type = type;
	}

	public void toString(StringBuilder b)
	{
		super.toString(b);
		b.append(": ");
		b.append(this.name);
	}

	protected void dumpChildren(PrintWriter out, int depth)
	{
		type.dump(out, depth);
		super.dumpChildren(out, depth);
	}
}
