package cks.model.type;

import cks.model.*;

import java.io.PrintWriter;
import java.util.Map;
import java.util.TreeMap;
import java.util.List;

public class TOpaqueRef extends TIndirect
{
	public final TOpaque target;

	public TOpaqueRef(Location loc, TOpaque target)
	{
		super(loc);
		assert target != null;
		this.target = target;
	}

	// resolution --------------------------------------------
	
	// Dude, I was BORN resolved.
	protected void resolveNames_(MapStack<String,TNamed> context) { }
	protected void resolveKinds_() { }
	protected void calculateKind() { }

	// properties --------------------------------------------

	public TKind getKind() { return target.getKind(); }
	public String getIdent() { return target.name; }
	public TCompound getBase() { return null; }

	// dump --------------------------------------------

	public void toString(StringBuilder b)
	{
		super.toString(b);
		b.append(": ");
		b.append(this.target.name);
	}
}
