package cks.model.type;

import cks.model.*;
import java.io.PrintWriter;

public class TParam extends Node implements TNamed
{
	public final String name;
	public final TKind kind;

	public TParam(Location loc, String name, TKind kind)
	{
		super(loc);
		this.name = name;
		this.kind = kind;
	}

	// properties ----------------------------------------------

	public void calculateKind() {}
	public TKind getKind() { return this.kind; }
	public TCompound getBase() { return null; }

	// dump ----------------------------------------------

	public void toString(StringBuilder b)
	{
		super.toString(b);
		b.append(": ");
		b.append(this.name);
		b.append(" :: ");
		b.append(this.kind);
	}

}
