package cks.model.value;

import cks.model.*;

import java.io.PrintWriter;
import java.util.List;

public class VList extends Value
{
	public final List<Value> elements;

	public VList(Location loc, List<Value> elements)
	{
		super(loc);
		this.elements = elements;
	}

	protected void dumpChildren(PrintWriter out, int depth)
	{
		for (Value e : elements) {
			e.dump(out, depth);
		}
		super.dumpChildren(out, depth);
	}
}

