package cks.model.value;

import cks.model.*;

import java.io.PrintWriter;

public class VVariant extends Value
{
	public final String label;
	public final Value value;

	public VVariant(Location loc, String label, Value value)
	{
		super(loc);
		this.label = label;
		this.value = value;
	}

	protected void dumpChildren(PrintWriter out, int depth)
	{
		this.value.dump(out, depth);
		super.dumpChildren(out, depth);
	}

	public void toString(StringBuilder b)
	{
		super.toString(b);
		b.append(": ");
		b.append(this.label);
	}
}
