package cks.parser;

import cks.model.*;

public class SyntaxException extends LocatableException
{
  public SyntaxException(Token token, String message)
  {
		super(token.loc, message + " (at " + token.toStringContent() + ")");
  }

  public SyntaxException(Location loc, String message)
  {
    super(loc, message);
  }

  public SyntaxException(Location loc, String message, Location loc2)
  {
    super(loc, message, loc2);
  }
}

